<!doctype html>
<html>
<head>
<meta charset="UTF-8">
<title>GRID_01 Jeremy García</title>
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<style>
	h1{text-align:center;}
	strong{ color: darkblue; font-weight: bold;}
	em{ color: red; font-weight: bold;}
.grid-container, .grid-container2{

  /* 1. Indica display: grid; */
  display: grid;
  /*Aparentemente no se ve ningun cambio pero ya podemos utilizar el comportamiento de grid en los dos contenedores*/
  /*Los elementos se colocan arriba o abajo del contenedor, pero no en la misma fila*/
  
  /* 2. Indica 3 columnas con grid-template-columns: auto auto auto;*/
  grid-template-columns: auto auto auto;
  /*Se crean 3 columnas que con auto se ajustan al tamaño del contenedor y al contenido de los elementos de la columna*/
  
  background-color: rgba(0,93,99,1.00);
  padding: 10px;
}
.grid-container2{
  /* 3. Indica display: display: inline-grid; para comparar con el anterior*/
  display: inline-grid;
  /*Con inline-grid las celdas se ajustan al tamaño de los elementos */
  /*El contenedor no ocupa toda la fila y permite que otros elementos se coloque en linea a lado de el contenedor*/
}

.grid-item {
  color: blue;
  background-color: rgba(255, 255, 255, 0.6);
  border: 1px solid rgba(0, 0, 0, 0.2);
  padding: 20px;
  font-size: 30px;
  text-align: center;

}
</style>
</head>
<body>

<h1>Grid Items</h1>

<p>Para usar <strong>Grid Layout</strong> se designa un elemento contenedor con propiedad <em>display: grid;</em>.</p>

<p>Los hijos directos del contenedor grid se convierten en <strong>grid items.</strong></p>

	<div class="grid-container">
	  <div class="grid-item">A</div>
	  <div class="grid-item">B</div>
	  <div class="grid-item">C</div>  
	  <div class="grid-item">D</div>
	  <div class="grid-item">E</div>
	  <div class="grid-item">F</div>  
	  <div class="grid-item">G</div>
	  <div class="grid-item">H</div>
	  <div class="grid-item">I</div>  
	</div>
	<p>También se puede designar con <em>display: inline-grid</em></p>
	<div class="grid-container2">
	  <div class="grid-item">A</div>
	  <div class="grid-item">B</div>
	  <div class="grid-item">C</div>  
	  <div class="grid-item">D</div>
	  <div class="grid-item">E</div>
	  <div class="grid-item">F</div>  
	  <div class="grid-item">G</div>
	  <div class="grid-item">H</div>
	  <div class="grid-item">I</div>  
	</div>

</body>
</html>
